Bug 799403 - malformed output when coloring is on and grep -P has unicode input
malformed output when coloring is on and grep -P has unicode input
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
20
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1050916
  Show dependency treegraph
 
Reported: 2012-03-02 11:44 EST by Lukas Zachar
Modified: 2014-01-09 05:45 EST (History)
2 users (show)

See Also:
Fixed In Version: grep-2.16-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1050916 (view as bug list)
Environment:
Last Closed: 2014-01-04 14:55:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zachar 2012-03-02 11:44:07 EST
Description of problem:

I had to disable coloring to get readable output.

# echo €€ | grep -P '\p{L}'
����
# echo €€ | grep -P '\p{L}' --color=never
€€
# echo čř | grep -P '\p{L}' 
��
# echo čř | grep -P '\p{L}' --color=never
čř


Version-Release number of selected component (if applicable):
grep-2.10-2.fc17.x86_64


How reproducible:
always (I tried gnome-terminal, xterm)

Steps to Reproduce:
1. echo čř | grep -P '\p{L}'
2.
3.
  
Actual results:
��

Expected results:
čř

Additional info:
Comment 1 Jaroslav Škarvada 2012-07-10 05:14:15 EDT
Upstream ticket:
https://savannah.gnu.org/bugs/index.php?36821
Comment 2 Fedora End Of Life 2013-04-03 15:54:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Jaroslav Škarvada 2014-01-03 08:07:19 EST
Moving to f20.
Comment 4 Fedora Update System 2014-01-03 08:08:18 EST
grep-2.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-0042/grep-2.16-1.fc20
Comment 5 Jaroslav Škarvada 2014-01-03 08:09:27 EST
With grep-2.16 I am unable to reproduce the problem any more.
Comment 6 Fedora Update System 2014-01-04 14:55:11 EST
grep-2.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.